
Infrastructure - Task #949

Story # 1901 (Closed): Integration testing: unicode support (identifiers)

Add unicode tests: CCI.CN.Software.Metacat

2010-10-06 22:25 - Roger Dahl

Status: Closed Start date: 2010-10-06

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2011-10-06 16:46 - Rob Nahf

- Status changed from New to In Progress

- Milestone set to None

- Assignee set to Rob Nahf

d1_integration contains tests for non-ASCII-unicode identifiers, involving create, get, getSystemMetadata, etc.

They need to be refactored into the new MNodeTier3IT class, and possibly the SimpleObjectLifecycleIT class.

Other tests might be called for, but perhaps a general strategy of using challenging unicode pids for all tests would be better.

#2 - 2011-10-25 22:07 - Rob Nahf

- Parent task changed from #907 to #1901

#3 - 2012-02-28 18:18 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

- Category changed from Metacat to d1_integration

MN.create() and CN.create() have tests for creating objects with various unicode identifiers that cover the entire unicode range (exemplars within

each sub-range).

#4 - 2012-02-28 18:32 - Rob Nahf

- Subject changed from Add tests for Unicode functionality (identifiers, etc): CCI.CN.Software.Metacat to Add unicode tests: CCI.CN.Software.Metacat
